Page MenuHomePhabricator

Fatal when logged in and looking at beta cluster
Closed, ResolvedPublic

Description

Doesn't seem to be a problem for anonymous users.

Fatal error: Uncaught Error: Class 'ContentTranslation\Action' not found in /srv/mediawiki/php-master/extensions/ContentTranslation/includes/Hooks.php:96 Stack trace:
#0 /srv/mediawiki/php-master/includes/Hooks.php(174): ContentTranslation\Hooks::addModules(Object(OutputPage), Object(SkinVector))
#1 /srv/mediawiki/php-master/includes/Hooks.php(234): Hooks::callHook('BeforePageDispl...', Array, Array, NULL, 'ContentTranslat...')
#2 /srv/mediawiki/php-master/includes/OutputPage.php(2706): Hooks::runWithoutAbort('BeforePageDispl...', Array)
#3 /srv/mediawiki/php-master/includes/exception/MWExceptionRenderer.php(136): OutputPage->output()
#4 /srv/mediawiki/php-master/includes/exception/MWExceptionRenderer.php(53): MWExceptionRenderer::reportHTML(Object(Error))
#5 /srv/mediawiki/php-master/includes/exception/MWExceptionHandler.php(98): MWExceptionRenderer::output(Object(Error), 2)
#6 /srv/mediawiki/php-master/includes/exception/MWExceptionHandler.php(172): MWExceptionHandler::report(Object(Error))
#7 /srv/mediawiki/php-master/ in /srv/mediawiki/php-master/extensions/ContentTranslation/includes/Hooks.php on line 96
(172.16.4.119)

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 14 2019, 10:12 PM
Jdlrobson triaged this task as Unbreak Now! priority.Mar 14 2019, 10:13 PM
Restricted Application added subscribers: Liuxinyu970226, TerraCodes. · View Herald TranscriptMar 14 2019, 10:13 PM

Change 496803 had a related patch set uploaded (by Nikerabbit; owner: Nikerabbit):
[mediawiki/extensions/ContentTranslation@master] Fix fatal: Class 'ContentTranslation\Action' not found

https://gerrit.wikimedia.org/r/496803

Change 496803 merged by Jdlrobson:
[mediawiki/extensions/ContentTranslation@master] Fix fatal: Class 'ContentTranslation\Action' not found

https://gerrit.wikimedia.org/r/496803

Etonkovidova closed this task as Resolved.Mar 15 2019, 8:36 PM
Etonkovidova added a subscriber: Etonkovidova.

The last error recorded in betalabs Fatal Monitor was on 2019-03-15T16:19:05 - the error seems to be gone by now.